package com.yonge.cooleshow.admin.service;

import com.yonge.cooleshow.admin.dto.UmsMenuNode;
import com.yonge.cooleshow.mbg.model.UmsMenu;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 后台菜单管理Service
 * Created by macro on 2020/2/2.
 */
public interface UmsMenuService {
    /**
     * 创建后台菜单
     */
    @Transactional
    int create(UmsMenu umsMenu);

    /**
     * 修改后台菜单
     */
    @Transactional
    int update(Long id, UmsMenu umsMenu);

    /**
     * 根据ID获取菜单详情
     */
    UmsMenu getItem(Long id);

    /**
     * 根据ID删除菜单
     */
    @Transactional
    int delete(Long id);

    /**
     * 分页查询后台菜单
     */
    List<UmsMenu> list(Long parentId, Integer pageSize, Integer pageNum);

    /**
     * 树形结构返回所有菜单列表
     */
    List<UmsMenuNode> treeList();

    /**
     * 修改菜单显示状态
     */
    @Transactional
    int updateHidden(Long id, Integer hidden);
}
